Bug 166063 - [MAINTAINER-UPDATE] ports-mgmt/portsreinstall. Update to 1.0.0
Summary: [MAINTAINER-UPDATE] ports-mgmt/portsreinstall. Update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-13 21:40 UTC by Mamoru Sakaue
Modified: 2012-03-25 20:55 UTC (History)
0 users

See Also:


Attachments
file.shar (2.97 KB, text/plain)
2012-03-13 21:40 UTC, Mamoru Sakaue
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mamoru Sakaue 2012-03-13 21:40:01 UTC
 This is a ports upgrading utility for massive forced reinstalltion,
and for those who are pursuing the perfect packages environment.

WWW: http://www.mwghennndo.com/softwares/portsreinstall/

 This post is for update to the latest version including several bug fixes.

Fix: Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-03-16 14:14:03 UTC
Thank you for your support of FreeBSD, and our ports tree.

A couple of notes, please.

for any update to a port, like this one, please do not send a shar.  You 
need to _ATTACH_ a patch, created with diff -ruN  (or -BbruN).

This way, the ports committers can see what you changed.  The way it is 
now, a port maintainer will need to do a lot more work to try to see 
what has changed.

Second note:

if you are the port maintainer for this port, you must 'send-pr' via 
your email address as it is in the port.  Otherwise, the GNATS auto 
assign system won't know you are the maintainer, and might get the pr lost.

Third, as the port maintainer, you _MUST_ set the class of your updates, 
to 'maintainer-update', not update.  Again, so GNATS won't get lost.

lastly, your Synopsis needs to list your port , again, so GNATS won't 
get lost.

your Synopsis for this one should have been [MAINTAINER-UPDATE] 
ports-mgmt/portsreinstall  Update to 1.0.0

I am going to fix the synopsis, class and submission address, but you 
need to _ATTACH_ a properly formatted patch so that a ports committer 
can act on your pr.

Again, Thank you for your time being a FreeBSD ports maintainer, and for 
your work on portsreinstall.



-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 2 Michael Scheidell freebsd_committer 2012-03-16 14:15:28 UTC
Class Changed
From-To: update->maintainer-update

Fix Synopsis, Class and From.
Comment 3 dfilter service freebsd_committer 2012-03-25 20:44:19 UTC
rm          2012-03-25 19:44:06 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portsreinstall Makefile distinfo pkg-descr 
  Log:
  - update to 1.0.0
  
  PS. I removed attribution in pkg-descr, that was in original patch, because
  this feature is deprecated.
  
  PR:             166063
  Submitted by:   Mamoru Sakaue <sakaue.mamoru at samurai.mwghennn dot net> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +10 -4     ports/ports-mgmt/portsreinstall/Makefile
  1.2       +2 -2      ports/ports-mgmt/portsreinstall/distinfo
  1.2       +1 -1      ports/ports-mgmt/portsreinstall/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 20:47:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 20:55:29 UTC
State Changed
From-To: open->closed

Committed, thank you!